Start test workflow
curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/testing/trigger/{trigger_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": "<string>",
"contentType": "<string>",
"headers": {},
"debug": true,
"activationId": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/testing/trigger/{trigger_name}"
payload = {
"payload": "<string>",
"contentType": "<string>",
"headers": {},
"debug": True,
"activationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payload: '<string>',
contentType: '<string>',
headers: {},
debug: true,
activationId: '<string>'
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/testing/trigger/{trigger_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"headers": {},
"body": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}projects
Start test workflow
TriggerWorkflow tells the test runner to trigger a test workflow.
POST
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
testing
/
trigger
/
{trigger_name}
Start test workflow
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
Body
application/json
⌘I